/** @file namedents.h
 *  @brief Map HTML entity name to Unicode codepoint
 */
/* Warning: This file is generated by ./gen-namedents - do not modify directly! */
/* Copyright (C) 2006,2007,2012,2013,2015,2016 Olly Betts
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

#ifndef OMEGA_INCLUDED_NAMEDENTS_H
#define OMEGA_INCLUDED_NAMEDENTS_H

enum named_ent {
    ENT_quot = 0,
    ENT_amp = 1,
    ENT_apos = 2,
    ENT_lt = 3,
    ENT_gt = 4,
    ENT_nbsp = 5,
    ENT_iexcl = 6,
    ENT_cent = 7,
    ENT_pound = 8,
    ENT_curren = 9,
    ENT_yen = 10,
    ENT_brvbar = 11,
    ENT_sect = 12,
    ENT_uml = 13,
    ENT_copy = 14,
    ENT_ordf = 15,
    ENT_laquo = 16,
    ENT_not = 17,
    ENT_shy = 18,
    ENT_reg = 19,
    ENT_macr = 20,
    ENT_deg = 21,
    ENT_plusmn = 22,
    ENT_sup2 = 23,
    ENT_sup3 = 24,
    ENT_acute = 25,
    ENT_micro = 26,
    ENT_para = 27,
    ENT_middot = 28,
    ENT_cedil = 29,
    ENT_sup1 = 30,
    ENT_ordm = 31,
    ENT_raquo = 32,
    ENT_frac14 = 33,
    ENT_frac12 = 34,
    ENT_frac34 = 35,
    ENT_iquest = 36,
    ENT_Agrave = 37,
    ENT_Aacute = 38,
    ENT_Acirc = 39,
    ENT_Atilde = 40,
    ENT_Auml = 41,
    ENT_Aring = 42,
    ENT_AElig = 43,
    ENT_Ccedil = 44,
    ENT_Egrave = 45,
    ENT_Eacute = 46,
    ENT_Ecirc = 47,
    ENT_Euml = 48,
    ENT_Igrave = 49,
    ENT_Iacute = 50,
    ENT_Icirc = 51,
    ENT_Iuml = 52,
    ENT_ETH = 53,
    ENT_Ntilde = 54,
    ENT_Ograve = 55,
    ENT_Oacute = 56,
    ENT_Ocirc = 57,
    ENT_Otilde = 58,
    ENT_Ouml = 59,
    ENT_times = 60,
    ENT_Oslash = 61,
    ENT_Ugrave = 62,
    ENT_Uacute = 63,
    ENT_Ucirc = 64,
    ENT_Uuml = 65,
    ENT_Yacute = 66,
    ENT_THORN = 67,
    ENT_szlig = 68,
    ENT_agrave = 69,
    ENT_aacute = 70,
    ENT_acirc = 71,
    ENT_atilde = 72,
    ENT_auml = 73,
    ENT_aring = 74,
    ENT_aelig = 75,
    ENT_ccedil = 76,
    ENT_egrave = 77,
    ENT_eacute = 78,
    ENT_ecirc = 79,
    ENT_euml = 80,
    ENT_igrave = 81,
    ENT_iacute = 82,
    ENT_icirc = 83,
    ENT_iuml = 84,
    ENT_eth = 85,
    ENT_ntilde = 86,
    ENT_ograve = 87,
    ENT_oacute = 88,
    ENT_ocirc = 89,
    ENT_otilde = 90,
    ENT_ouml = 91,
    ENT_divide = 92,
    ENT_oslash = 93,
    ENT_ugrave = 94,
    ENT_uacute = 95,
    ENT_ucirc = 96,
    ENT_uuml = 97,
    ENT_yacute = 98,
    ENT_thorn = 99,
    ENT_yuml = 100,
    ENT_OElig = 101,
    ENT_oelig = 102,
    ENT_Scaron = 103,
    ENT_scaron = 104,
    ENT_Yuml = 105,
    ENT_fnof = 106,
    ENT_circ = 107,
    ENT_tilde = 108,
    ENT_Alpha = 109,
    ENT_Beta = 110,
    ENT_Gamma = 111,
    ENT_Delta = 112,
    ENT_Epsilon = 113,
    ENT_Zeta = 114,
    ENT_Eta = 115,
    ENT_Theta = 116,
    ENT_Iota = 117,
    ENT_Kappa = 118,
    ENT_Lambda = 119,
    ENT_Mu = 120,
    ENT_Nu = 121,
    ENT_Xi = 122,
    ENT_Omicron = 123,
    ENT_Pi = 124,
    ENT_Rho = 125,
    ENT_Sigma = 126,
    ENT_Tau = 127,
    ENT_Upsilon = 128,
    ENT_Phi = 129,
    ENT_Chi = 130,
    ENT_Psi = 131,
    ENT_Omega = 132,
    ENT_alpha = 133,
    ENT_beta = 134,
    ENT_gamma = 135,
    ENT_delta = 136,
    ENT_epsilon = 137,
    ENT_zeta = 138,
    ENT_eta = 139,
    ENT_theta = 140,
    ENT_iota = 141,
    ENT_kappa = 142,
    ENT_lambda = 143,
    ENT_mu = 144,
    ENT_nu = 145,
    ENT_xi = 146,
    ENT_omicron = 147,
    ENT_pi = 148,
    ENT_rho = 149,
    ENT_sigmaf = 150,
    ENT_sigma = 151,
    ENT_tau = 152,
    ENT_upsilon = 153,
    ENT_phi = 154,
    ENT_chi = 155,
    ENT_psi = 156,
    ENT_omega = 157,
    ENT_thetasym = 158,
    ENT_upsih = 159,
    ENT_piv = 160,
    ENT_ensp = 161,
    ENT_emsp = 162,
    ENT_thinsp = 163,
    ENT_zwnj = 164,
    ENT_zwj = 165,
    ENT_lrm = 166,
    ENT_rlm = 167,
    ENT_ndash = 168,
    ENT_mdash = 169,
    ENT_lsquo = 170,
    ENT_rsquo = 171,
    ENT_sbquo = 172,
    ENT_ldquo = 173,
    ENT_rdquo = 174,
    ENT_bdquo = 175,
    ENT_dagger = 176,
    ENT_Dagger = 177,
    ENT_bull = 178,
    ENT_hellip = 179,
    ENT_permil = 180,
    ENT_prime = 181,
    ENT_Prime = 182,
    ENT_lsaquo = 183,
    ENT_rsaquo = 184,
    ENT_oline = 185,
    ENT_frasl = 186,
    ENT_euro = 187,
    ENT_image = 188,
    ENT_weierp = 189,
    ENT_real = 190,
    ENT_trade = 191,
    ENT_alefsym = 192,
    ENT_larr = 193,
    ENT_uarr = 194,
    ENT_rarr = 195,
    ENT_darr = 196,
    ENT_harr = 197,
    ENT_crarr = 198,
    ENT_lArr = 199,
    ENT_uArr = 200,
    ENT_rArr = 201,
    ENT_dArr = 202,
    ENT_hArr = 203,
    ENT_forall = 204,
    ENT_part = 205,
    ENT_exist = 206,
    ENT_empty = 207,
    ENT_nabla = 208,
    ENT_isin = 209,
    ENT_notin = 210,
    ENT_ni = 211,
    ENT_prod = 212,
    ENT_sum = 213,
    ENT_minus = 214,
    ENT_lowast = 215,
    ENT_radic = 216,
    ENT_prop = 217,
    ENT_infin = 218,
    ENT_ang = 219,
    ENT_and = 220,
    ENT_or = 221,
    ENT_cap = 222,
    ENT_cup = 223,
    ENT_int = 224,
    ENT_there4 = 225,
    ENT_sim = 226,
    ENT_cong = 227,
    ENT_asymp = 228,
    ENT_ne = 229,
    ENT_equiv = 230,
    ENT_le = 231,
    ENT_ge = 232,
    ENT_sub = 233,
    ENT_sup = 234,
    ENT_nsub = 235,
    ENT_sube = 236,
    ENT_supe = 237,
    ENT_oplus = 238,
    ENT_otimes = 239,
    ENT_perp = 240,
    ENT_sdot = 241,
    ENT_lceil = 242,
    ENT_rceil = 243,
    ENT_lfloor = 244,
    ENT_rfloor = 245,
    ENT_lang = 246,
    ENT_rang = 247,
    ENT_loz = 248,
    ENT_spades = 249,
    ENT_clubs = 250,
    ENT_hearts = 251,
    ENT_diams = 252
};

static const unsigned char tab[] = {
    8,

    1,0, (10&255),(10>>8), (113&255),(113>>8), (254&255),(254>>8), (560&255),(560>>8), (993&255),(993>>8), (56&255),(56>>8), (0&255),(0>>8),

    (1 - 1),
    ENT_thetasym, 't','h','e','t','a','s','y','m',

    (15 - 1),
    ENT_Mu, 'M','u',
    ENT_Nu, 'N','u',
    ENT_Pi, 'P','i',
    ENT_Xi, 'X','i',
    ENT_ge, 'g','e',
    ENT_gt, 'g','t',
    ENT_le, 'l','e',
    ENT_lt, 'l','t',
    ENT_mu, 'm','u',
    ENT_ne, 'n','e',
    ENT_ni, 'n','i',
    ENT_nu, 'n','u',
    ENT_or, 'o','r',
    ENT_pi, 'p','i',
    ENT_xi, 'x','i',

    (7 - 1),
    ENT_Epsilon, 'E','p','s','i','l','o','n',
    ENT_Omicron, 'O','m','i','c','r','o','n',
    ENT_Upsilon, 'U','p','s','i','l','o','n',
    ENT_alefsym, 'a','l','e','f','s','y','m',
    ENT_epsilon, 'e','p','s','i','l','o','n',
    ENT_omicron, 'o','m','i','c','r','o','n',
    ENT_upsilon, 'u','p','s','i','l','o','n',

    (35 - 1),
    ENT_Chi, 'C','h','i',
    ENT_ETH, 'E','T','H',
    ENT_Eta, 'E','t','a',
    ENT_Phi, 'P','h','i',
    ENT_Psi, 'P','s','i',
    ENT_Rho, 'R','h','o',
    ENT_Tau, 'T','a','u',
    ENT_amp, 'a','m','p',
    ENT_and, 'a','n','d',
    ENT_ang, 'a','n','g',
    ENT_cap, 'c','a','p',
    ENT_chi, 'c','h','i',
    ENT_cup, 'c','u','p',
    ENT_deg, 'd','e','g',
    ENT_eta, 'e','t','a',
    ENT_eth, 'e','t','h',
    ENT_int, 'i','n','t',
    ENT_loz, 'l','o','z',
    ENT_lrm, 'l','r','m',
    ENT_not, 'n','o','t',
    ENT_phi, 'p','h','i',
    ENT_piv, 'p','i','v',
    ENT_psi, 'p','s','i',
    ENT_reg, 'r','e','g',
    ENT_rho, 'r','h','o',
    ENT_rlm, 'r','l','m',
    ENT_shy, 's','h','y',
    ENT_sim, 's','i','m',
    ENT_sub, 's','u','b',
    ENT_sum, 's','u','m',
    ENT_sup, 's','u','p',
    ENT_tau, 't','a','u',
    ENT_uml, 'u','m','l',
    ENT_yen, 'y','e','n',
    ENT_zwj, 'z','w','j',

    (61 - 1),
    ENT_Auml, 'A','u','m','l',
    ENT_Beta, 'B','e','t','a',
    ENT_Euml, 'E','u','m','l',
    ENT_Iota, 'I','o','t','a',
    ENT_Iuml, 'I','u','m','l',
    ENT_Ouml, 'O','u','m','l',
    ENT_Uuml, 'U','u','m','l',
    ENT_Yuml, 'Y','u','m','l',
    ENT_Zeta, 'Z','e','t','a',
    ENT_apos, 'a','p','o','s',
    ENT_auml, 'a','u','m','l',
    ENT_beta, 'b','e','t','a',
    ENT_bull, 'b','u','l','l',
    ENT_cent, 'c','e','n','t',
    ENT_circ, 'c','i','r','c',
    ENT_cong, 'c','o','n','g',
    ENT_copy, 'c','o','p','y',
    ENT_dArr, 'd','A','r','r',
    ENT_darr, 'd','a','r','r',
    ENT_emsp, 'e','m','s','p',
    ENT_ensp, 'e','n','s','p',
    ENT_euml, 'e','u','m','l',
    ENT_euro, 'e','u','r','o',
    ENT_fnof, 'f','n','o','f',
    ENT_hArr, 'h','A','r','r',
    ENT_harr, 'h','a','r','r',
    ENT_iota, 'i','o','t','a',
    ENT_isin, 'i','s','i','n',
    ENT_iuml, 'i','u','m','l',
    ENT_lArr, 'l','A','r','r',
    ENT_lang, 'l','a','n','g',
    ENT_larr, 'l','a','r','r',
    ENT_macr, 'm','a','c','r',
    ENT_nbsp, 'n','b','s','p',
    ENT_nsub, 'n','s','u','b',
    ENT_ordf, 'o','r','d','f',
    ENT_ordm, 'o','r','d','m',
    ENT_ouml, 'o','u','m','l',
    ENT_para, 'p','a','r','a',
    ENT_part, 'p','a','r','t',
    ENT_perp, 'p','e','r','p',
    ENT_prod, 'p','r','o','d',
    ENT_prop, 'p','r','o','p',
    ENT_quot, 'q','u','o','t',
    ENT_rArr, 'r','A','r','r',
    ENT_rang, 'r','a','n','g',
    ENT_rarr, 'r','a','r','r',
    ENT_real, 'r','e','a','l',
    ENT_sdot, 's','d','o','t',
    ENT_sect, 's','e','c','t',
    ENT_sube, 's','u','b','e',
    ENT_sup1, 's','u','p','1',
    ENT_sup2, 's','u','p','2',
    ENT_sup3, 's','u','p','3',
    ENT_supe, 's','u','p','e',
    ENT_uArr, 'u','A','r','r',
    ENT_uarr, 'u','a','r','r',
    ENT_uuml, 'u','u','m','l',
    ENT_yuml, 'y','u','m','l',
    ENT_zeta, 'z','e','t','a',
    ENT_zwnj, 'z','w','n','j',

    (72 - 1),
    ENT_AElig, 'A','E','l','i','g',
    ENT_Acirc, 'A','c','i','r','c',
    ENT_Alpha, 'A','l','p','h','a',
    ENT_Aring, 'A','r','i','n','g',
    ENT_Delta, 'D','e','l','t','a',
    ENT_Ecirc, 'E','c','i','r','c',
    ENT_Gamma, 'G','a','m','m','a',
    ENT_Icirc, 'I','c','i','r','c',
    ENT_Kappa, 'K','a','p','p','a',
    ENT_OElig, 'O','E','l','i','g',
    ENT_Ocirc, 'O','c','i','r','c',
    ENT_Omega, 'O','m','e','g','a',
    ENT_Prime, 'P','r','i','m','e',
    ENT_Sigma, 'S','i','g','m','a',
    ENT_THORN, 'T','H','O','R','N',
    ENT_Theta, 'T','h','e','t','a',
    ENT_Ucirc, 'U','c','i','r','c',
    ENT_acirc, 'a','c','i','r','c',
    ENT_acute, 'a','c','u','t','e',
    ENT_aelig, 'a','e','l','i','g',
    ENT_alpha, 'a','l','p','h','a',
    ENT_aring, 'a','r','i','n','g',
    ENT_asymp, 'a','s','y','m','p',
    ENT_bdquo, 'b','d','q','u','o',
    ENT_cedil, 'c','e','d','i','l',
    ENT_clubs, 'c','l','u','b','s',
    ENT_crarr, 'c','r','a','r','r',
    ENT_delta, 'd','e','l','t','a',
    ENT_diams, 'd','i','a','m','s',
    ENT_ecirc, 'e','c','i','r','c',
    ENT_empty, 'e','m','p','t','y',
    ENT_equiv, 'e','q','u','i','v',
    ENT_exist, 'e','x','i','s','t',
    ENT_frasl, 'f','r','a','s','l',
    ENT_gamma, 'g','a','m','m','a',
    ENT_icirc, 'i','c','i','r','c',
    ENT_iexcl, 'i','e','x','c','l',
    ENT_image, 'i','m','a','g','e',
    ENT_infin, 'i','n','f','i','n',
    ENT_kappa, 'k','a','p','p','a',
    ENT_laquo, 'l','a','q','u','o',
    ENT_lceil, 'l','c','e','i','l',
    ENT_ldquo, 'l','d','q','u','o',
    ENT_lsquo, 'l','s','q','u','o',
    ENT_mdash, 'm','d','a','s','h',
    ENT_micro, 'm','i','c','r','o',
    ENT_minus, 'm','i','n','u','s',
    ENT_nabla, 'n','a','b','l','a',
    ENT_ndash, 'n','d','a','s','h',
    ENT_notin, 'n','o','t','i','n',
    ENT_ocirc, 'o','c','i','r','c',
    ENT_oelig, 'o','e','l','i','g',
    ENT_oline, 'o','l','i','n','e',
    ENT_omega, 'o','m','e','g','a',
    ENT_oplus, 'o','p','l','u','s',
    ENT_pound, 'p','o','u','n','d',
    ENT_prime, 'p','r','i','m','e',
    ENT_radic, 'r','a','d','i','c',
    ENT_raquo, 'r','a','q','u','o',
    ENT_rceil, 'r','c','e','i','l',
    ENT_rdquo, 'r','d','q','u','o',
    ENT_rsquo, 'r','s','q','u','o',
    ENT_sbquo, 's','b','q','u','o',
    ENT_sigma, 's','i','g','m','a',
    ENT_szlig, 's','z','l','i','g',
    ENT_theta, 't','h','e','t','a',
    ENT_thorn, 't','h','o','r','n',
    ENT_tilde, 't','i','l','d','e',
    ENT_times, 't','i','m','e','s',
    ENT_trade, 't','r','a','d','e',
    ENT_ucirc, 'u','c','i','r','c',
    ENT_upsih, 'u','p','s','i','h',

    (62 - 1),
    ENT_Aacute, 'A','a','c','u','t','e',
    ENT_Agrave, 'A','g','r','a','v','e',
    ENT_Atilde, 'A','t','i','l','d','e',
    ENT_Ccedil, 'C','c','e','d','i','l',
    ENT_Dagger, 'D','a','g','g','e','r',
    ENT_Eacute, 'E','a','c','u','t','e',
    ENT_Egrave, 'E','g','r','a','v','e',
    ENT_Iacute, 'I','a','c','u','t','e',
    ENT_Igrave, 'I','g','r','a','v','e',
    ENT_Lambda, 'L','a','m','b','d','a',
    ENT_Ntilde, 'N','t','i','l','d','e',
    ENT_Oacute, 'O','a','c','u','t','e',
    ENT_Ograve, 'O','g','r','a','v','e',
    ENT_Oslash, 'O','s','l','a','s','h',
    ENT_Otilde, 'O','t','i','l','d','e',
    ENT_Scaron, 'S','c','a','r','o','n',
    ENT_Uacute, 'U','a','c','u','t','e',
    ENT_Ugrave, 'U','g','r','a','v','e',
    ENT_Yacute, 'Y','a','c','u','t','e',
    ENT_aacute, 'a','a','c','u','t','e',
    ENT_agrave, 'a','g','r','a','v','e',
    ENT_atilde, 'a','t','i','l','d','e',
    ENT_brvbar, 'b','r','v','b','a','r',
    ENT_ccedil, 'c','c','e','d','i','l',
    ENT_curren, 'c','u','r','r','e','n',
    ENT_dagger, 'd','a','g','g','e','r',
    ENT_divide, 'd','i','v','i','d','e',
    ENT_eacute, 'e','a','c','u','t','e',
    ENT_egrave, 'e','g','r','a','v','e',
    ENT_forall, 'f','o','r','a','l','l',
    ENT_frac12, 'f','r','a','c','1','2',
    ENT_frac14, 'f','r','a','c','1','4',
    ENT_frac34, 'f','r','a','c','3','4',
    ENT_hearts, 'h','e','a','r','t','s',
    ENT_hellip, 'h','e','l','l','i','p',
    ENT_iacute, 'i','a','c','u','t','e',
    ENT_igrave, 'i','g','r','a','v','e',
    ENT_iquest, 'i','q','u','e','s','t',
    ENT_lambda, 'l','a','m','b','d','a',
    ENT_lfloor, 'l','f','l','o','o','r',
    ENT_lowast, 'l','o','w','a','s','t',
    ENT_lsaquo, 'l','s','a','q','u','o',
    ENT_middot, 'm','i','d','d','o','t',
    ENT_ntilde, 'n','t','i','l','d','e',
    ENT_oacute, 'o','a','c','u','t','e',
    ENT_ograve, 'o','g','r','a','v','e',
    ENT_oslash, 'o','s','l','a','s','h',
    ENT_otilde, 'o','t','i','l','d','e',
    ENT_otimes, 'o','t','i','m','e','s',
    ENT_permil, 'p','e','r','m','i','l',
    ENT_plusmn, 'p','l','u','s','m','n',
    ENT_rfloor, 'r','f','l','o','o','r',
    ENT_rsaquo, 'r','s','a','q','u','o',
    ENT_scaron, 's','c','a','r','o','n',
    ENT_sigmaf, 's','i','g','m','a','f',
    ENT_spades, 's','p','a','d','e','s',
    ENT_there4, 't','h','e','r','e','4',
    ENT_thinsp, 't','h','i','n','s','p',
    ENT_uacute, 'u','a','c','u','t','e',
    ENT_ugrave, 'u','g','r','a','v','e',
    ENT_weierp, 'w','e','i','e','r','p',
    ENT_yacute, 'y','a','c','u','t','e'
};

static const unsigned named_ent_codepoint[] = {
    34,
    38,
    39,
    60,
    62,
    160,
    161,
    162,
    163,
    164,
    165,
    166,
    167,
    168,
    169,
    170,
    171,
    172,
    173,
    174,
    175,
    176,
    177,
    178,
    179,
    180,
    181,
    182,
    183,
    184,
    185,
    186,
    187,
    188,
    189,
    190,
    191,
    192,
    193,
    194,
    195,
    196,
    197,
    198,
    199,
    200,
    201,
    202,
    203,
    204,
    205,
    206,
    207,
    208,
    209,
    210,
    211,
    212,
    213,
    214,
    215,
    216,
    217,
    218,
    219,
    220,
    221,
    222,
    223,
    224,
    225,
    226,
    227,
    228,
    229,
    230,
    231,
    232,
    233,
    234,
    235,
    236,
    237,
    238,
    239,
    240,
    241,
    242,
    243,
    244,
    245,
    246,
    247,
    248,
    249,
    250,
    251,
    252,
    253,
    254,
    255,
    338,
    339,
    352,
    353,
    376,
    402,
    710,
    732,
    913,
    914,
    915,
    916,
    917,
    918,
    919,
    920,
    921,
    922,
    923,
    924,
    925,
    926,
    927,
    928,
    929,
    931,
    932,
    933,
    934,
    935,
    936,
    937,
    945,
    946,
    947,
    948,
    949,
    950,
    951,
    952,
    953,
    954,
    955,
    956,
    957,
    958,
    959,
    960,
    961,
    962,
    963,
    964,
    965,
    966,
    967,
    968,
    969,
    977,
    978,
    982,
    8194,
    8195,
    8201,
    8204,
    8205,
    8206,
    8207,
    8211,
    8212,
    8216,
    8217,
    8218,
    8220,
    8221,
    8222,
    8224,
    8225,
    8226,
    8230,
    8240,
    8242,
    8243,
    8249,
    8250,
    8254,
    8260,
    8364,
    8465,
    8472,
    8476,
    8482,
    8501,
    8592,
    8593,
    8594,
    8595,
    8596,
    8629,
    8656,
    8657,
    8658,
    8659,
    8660,
    8704,
    8706,
    8707,
    8709,
    8711,
    8712,
    8713,
    8715,
    8719,
    8721,
    8722,
    8727,
    8730,
    8733,
    8734,
    8736,
    8743,
    8744,
    8745,
    8746,
    8747,
    8756,
    8764,
    8773,
    8776,
    8800,
    8801,
    8804,
    8805,
    8834,
    8835,
    8836,
    8838,
    8839,
    8853,
    8855,
    8869,
    8901,
    8968,
    8969,
    8970,
    8971,
    9001,
    9002,
    9674,
    9824,
    9827,
    9829,
    9830,
};

#endif
